Bug 1315979 - NetworkManager should not enable wireless devices after restart [NEEDINFO]
NetworkManager should not enable wireless devices after restart
Status: NEW
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 02:53 EST by Lukas Slebodnik
Modified: 2018-05-03 06:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lslebodn: needinfo? (lkundrak)


Attachments (Terms of Use)

  None (edit)
Description Lukas Slebodnik 2016-03-09 02:53:30 EST
Description of problem:
I do not have a hardware switch for disabling wireless devices on my laptop.
I have to use "soft blocking" with keyboard or with rfkill.
There isn't any light which could display state of wireless device.

However the state is not preserved after restarting NM.

Version-Release number of selected component (if applicable):
NetworkManager-1.2.0-0.6.beta2.fc24.x86_64

How reproducible:
Deterministic

Steps to Reproduce:
A. [root@host ~]# rfkill list
0: phy0: Wireless LAN
        Soft blocked: yes
        Hard blocked: no
B. [root@graviton ~]# systemctl restart NetworkManager

Actual results:
[root@graviton ~]# rfkill list
0: phy0: Wireless LAN
        Soft blocked: no
        Hard blocked: no

Expected results:
[root@host ~]# rfkill list
0: phy0: Wireless LAN
        Soft blocked: yes
        Hard blocked: no
Comment 1 Lukas Slebodnik 2017-01-20 02:45:49 EST
Any news after 9 months?
Comment 2 Fedora End Of Life 2017-07-25 16:18:31 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Beniamino Galvani 2017-08-04 08:44:28 EDT
NetworkManager maintains a persistent state that includes the desired
radio state, and enforces this state each time it's started.

Therefore, if you are using NetworkManager and want to keep wifi
disabled, 'nmcli radio wifi off' should be used.
Comment 4 Lukas Slebodnik 2017-08-04 09:38:26 EDT
(In reply to Beniamino Galvani from comment #3)
> NetworkManager maintains a persistent state that includes the desired
> radio state, and enforces this state each time it's started.
> 
> Therefore, if you are using NetworkManager and want to keep wifi
> disabled, 'nmcli radio wifi off' should be used.

It is something different what I would like to achieve.
"rfkill block" and "rfkill unblock" are equivalent to enabling/disabling wifi on laptop using fn+f8 (or other combination of keys)

If I disable wifi with keybord then I would like to have this state even after restarting NetworkManager.

After calling "nmcli radio wifi off" it is not possible to use wifi anymore with NM.

sh# rfkill list
0: phy0: Wireless LAN
        Soft blocked: no
        Hard blocked: no

sh# nmcli radio wifi off
sh# rfkill list
0: phy0: Wireless LAN
        Soft blocked: yes
        Hard blocked: no

sh# rfkill unblock 0
sh# rfkill list
0: phy0: Wireless LAN
        Soft blocked: no
        Hard blocked: no

sh# nmcli radio wifi
disabled

sh# nmcli connection show --active 
NAME     UUID                                  TYPE            DEVICE  
docker0  0ae125a0-160d-49ad-9815-768bf1b9866a  bridge          docker0 
enp0s25  74d46029-a6c5-4c6e-a922-d09d7e34e9ab  802-3-ethernet  enp0s25

sh# nmcli connection up "MY Guest"
Error: Connection activation failed: No suitable device found for this connection.

sh# nmcli radio wifi on
sh# nmcli connection up "MY Guest"
Connection successfully activated (D-Bus active path: /org/freedesktop/NetworkManager/ActiveConnection/10)

sh# nmcli connection show --active 
NAME           UUID                                  TYPE             DEVICE  
MY Guest       d08d434c-2700-44ac-a2df-c9c1ef76b90c  802-11-wireless  wlp3s0  
docker0        0ae125a0-160d-49ad-9815-768bf1b9866a  bridge           docker0 
enp0s25        74d46029-a6c5-4c6e-a922-d09d7e34e9ab  802-3-ethernet   enp0s25
Comment 5 Fedora End Of Life 2018-05-03 04:43:15 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 Lukas Slebodnik 2018-05-03 06:44:23 EDT
Reproducible on f29

Note You need to log in before you can comment on or make changes to this bug.